%define module NotificationBubble

Summary:	Perl module interface to the EggNotificationBubble library
Name:		perl-Gtk2-%module
Version:	0.01
Release:	%mkrel 18
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel perl-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib >= 0.92
BuildRequires:	perl-Gtk2
Requires:	gtk+2 perl-Gtk2 >= 0.95-6mdk

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%patch0 -p1 -b .triangle

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2
%{perl_vendorarch}/auto/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.01-18.mga4
+ Revision: 524823
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.01-17.mga4
+ Revision: 431555
- perl 5.18.0 rebuild

* Fri Jan 18 2013 fwang <fwang> 0.01-16.mga3
+ Revision: 389340
- rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.01-15.mga3
+ Revision: 367895
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.01-14.mga3
+ Revision: 250733
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.01-13.mga2
+ Revision: 135825
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 0.01-12.mga2
+ Revision: 104636
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.01-11.mga1
+ Revision: 36327
- mageia rebuild
- imported package perl-Gtk2-NotificationBubble
- imported package perl-Gtk2-NotificationBubble


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.01-11mdv2011.0
+ Revision: 564484
- rebuild for perl 5.12.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.01-10mdv2011.0
+ Revision: 426480
- rebuild

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.01-9mdv2009.0
+ Revision: 287783
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.01-7mdv2008.1
+ Revision: 152108
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jun 26 2007 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2008.0
+ Revision: 44533
- cleanups

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.01-5mdv2008.0
+ Revision: 23406
- rebuild


* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.01-4mdk
- Fix BuildRequires

* Wed Aug 24 2005 Olivier Blin <oblin@mandriva.com> 0.01-3mdk
- Patch0: fix triangle offset when bubble is on extreme right

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.01-2mdk
- rebuild with new gtk+

* Fri Aug 19 2005 Olivier Blin <oblin@mandriva.com> 0.01-1mdk
- initial binding

